### Method

# AppStreamCompose Result get_component_ids_with_hints

#### Declaration [src]

    const gchar**
    asc_result_get_component_ids_with_hints (
      AscResult* result
    )

#### Description [src]

Gets list of component-IDs which do have issue hints associated with them.

#### Return value

Type: An array of `utf8`

An array of component-IDs. Free container with %g_free.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.